<?php

#EasyZVT-Demo (c) Groetzner Unternehmensberatung
#01.07.2015 Jan Groetzner
# Simuliert Kasse 2

$xml='<?xml version="1.0" encoding="UTF-8"?>';
	$xml.="<easyzvt>";
		$xml.="<parameters>";
				$xml.="<KasseNr>0002</KasseNr>"; 	# identcode  or name for cash-register (should be between 0001 and ZZZZ)
				$xml.="<COM>LAN</COM>";				# Communication over LAN or COM
				$xml.="<IP>192.168.101.222</IP>";	# if COM=LAN, IP-address of Terminal(without trailing zeros)
				$xml.="<Port>22000</Port>";			# Port for ZVT-protocol via TCP/IP (decimal); 22000 for Verifone; 5577 for Ingenico; depends on terminal-configuration
				$xml.="<Passwort>000000</Passwort>";# optional:Terminal-password (if password is 5-digit, append a zero) (if not given: 000000 is taken)
				$xml.="<Funktion>0</Funktion>";		# 0=Authorization, 1=diagnosis, 2=end of day, 3=reversal, 4=refund, 5=reprint (Note: for function > 1 Standard or Professional License is required)
				$xml.="<Kassedruck>0</Kassedruck>"; # optional: print receipt: 0=Terminal, 1=cash-register (Note: for 1 the professional-license is required), default is 0
				$xml.="<Betrag>2</Betrag>";			# amount in cent (optional for function 1,2,5)
				$xml.="<Lizenz></Lizenz>";			# optional: 19-digit license-code (if not given or empty: free trial up to 9 cent)
				$xml.="<Typ>0</Typ>";				# optional: Terminal-type: 0 = default, 1=ICP BIA, 2=Ingenico with old Software prior to 07xxx (if not given: autodetect)
				$xml.="<Abmelden>1</Abmelden>";		# optional: Log-Off: 0=CardComplete (do not Log-Off), 1=default (Log-Off after Transaction)
		$xml.="</parameters>";
	$xml.="</easyzvt>";

# please replace with your local webserver-hostname / bitte Webservernamen ersetzen
$handle=fopen("http://mein-web-server/easyzvt/easyzvt_server.php?data=".urlencode($xml),"r");
$xmlresult="";
while ($readline=fread($handle,1024))
		$xmlresult.=$readline;
fclose($handle);

echo "Result:<br>".nl2br(htmlspecialchars($xmlresult));


?>